import request from '@/utils/request'

//字典 标的物所在地
export function getDeptList(id) {
  return request({
    url: '/transaction/website/deptList' ,
    method: 'get',
    params: {deptId:id}
  })
}
//供应项目列表
export function needProjectList(data){
  return request({
    url:'/transaction/website/needproject/list',
    method:'get',
    params:data
  })
}
//供应项目列表
export function getOutProjectList(data){
  return request({
    url:'/transaction/website/outproject/list',
    method:'get',
    params:data
  })
}
//供应项目详情
export function getOutProjectDetail(id){
  return request({
    url:'/transaction/website/outproject/id/'+id,
    method:'get',
  })
}
//获取网站配置
export function getWebConfig(){
  return request({
    url:'/transaction/website/config',
    method:'get',
  })
}
//竞价记录列表
export function getBiddingList(id){
  return request({
    url:'/transaction/website/biddinglist/projectId?projectId='+id,
    method:'get',
  })
}
export function uploadPic (params) {
  return request({
    url:'/common/base64Attach',// 替换成您需要上传的接口
    method: 'post',
    data: params
  })
}
//会员信息查询
export function getMember(id){
  return request({
    url:'/transaction/member/userId/'+id,
    method:'get',
  })
}
//提交报名
export function submmitSignup (params) {
  return request({
    url:'/transaction/signup/add',
    method: 'post',
    data: params
  })
}
// 查询报名状态
export function getSignup (params) {
  return request({
    url:'/transaction/signup/getSignupByMemberIdAndProId',
    method: 'get',
    params:params
  })
}
// 出价
export function biddingSubmit (params) {
  return request({
    url:'/transaction/bidding/add',
    method: 'post',
    data:params
  })
}

//签名
export function signUp(data) {
  return request({
    url: '/open/attachment/sign',
    method: 'post',
    data: data
  })
}
//价格查询
export function projectNewBidMoney(id){
  return request({
    url:'/transaction/website/projectNewBidMoney/'+id,
    method:'get',
  })
}

